<script>
  import Icon from "$/client/components/Icon.svelte";
  import { base_host } from "$/client/config.js";
  import { createEventDispatcher } from "svelte";

  const dispatch = createEventDispatcher();
  export let url;
  export let color="var(--color-accent)";

  const copy_share_link = () => {
    navigator.clipboard.writeText(`${base_host}${url}`);
    dispatch("click");
  }
</script>

<span on:click={ () => copy_share_link() }><Icon name="share" color={ color } /></span>
